summaryrefslogtreecommitdiff
path: root/home
diff options
context:
space:
mode:
authorC. McEnroe <june@causal.agency>2019-07-27 17:08:17 -0400
committerC. McEnroe <june@causal.agency>2019-07-27 17:08:17 -0400
commiteb171a59b91a0730f095e951ebf783771ec50251 (patch)
treebfb11c7a118cec0ad83cca26dbeac8f4e12751e0 /home
parentShell script style pass (diff)
downloadsrc-eb171a59b91a0730f095e951ebf783771ec50251.tar.gz
src-eb171a59b91a0730f095e951ebf783771ec50251.zip
Fix shell script style in ~/.local/bin
Diffstat (limited to 'home')
-rwxr-xr-xhome/.local/bin/def2
-rwxr-xr-xhome/.local/bin/nasd12
2 files changed, 7 insertions, 7 deletions
diff --git a/home/.local/bin/def b/home/.local/bin/def
index ea8b9536..6a1681d3 100755
--- a/home/.local/bin/def
+++ b/home/.local/bin/def
@@ -42,6 +42,6 @@ for header in $headers; do
| tail -n 1
)
[ $? -ne 0 -o "$defined" = "$macro" ] && continue
- echo "#include <$header>"
+ echo "#include <${header}>"
echo "$defined"
done
diff --git a/home/.local/bin/nasd b/home/.local/bin/nasd
index 203fdd2d..d64b2c3a 100755
--- a/home/.local/bin/nasd
+++ b/home/.local/bin/nasd
@@ -1,9 +1,9 @@
#!/bin/sh
-set -e -u
+set -eu
dir=$(mktemp -d)
-echo 'bits 64' > $dir/input
-cat >> $dir/input
-nasm -o $dir/output $dir/input || true
-ndisasm -b 64 $dir/output || true
-rm -r $dir
+echo 'bits 64' > "${dir}/input"
+cat >> "${dir}/input"
+nasm -o "${dir}/output" "${dir}/input" || true
+ndisasm -b 64 "${dir}/output" || true
+rm -r "$dir"